Bug 439738 - pk-update-icon hangs
pk-update-icon hangs
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-30 22:53 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-17 06:34:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pk-import verbose output (53.25 KB, application/octet-stream)
2008-03-31 07:38 EDT, Rahul Sundaram
no flags Details

  None (edit)
Description Rahul Sundaram 2008-03-30 22:53:38 EDT
Description of problem:

Running pk-update-icon just hangs. If it isn't a application that the user is
supposed to run manually, it should be moved out to library path instead. 

Additional info:

pk-[TAB] lists pk-update-icon as one of the applications so users would find it
and just hanging on the command line isn't expected behaviour.
Comment 1 Rahul Sundaram 2008-03-30 22:57:52 EDT
I found more such PackageKit related applications

# pk-import-desktop returns nothing
# pk-install-file and pk-install-package shouldn't be in the user path either
# pk-import-specspo returns

TI:08:25:32	TH:0x99aabf0	FI:pk-import-common.c	FN:pk_import_get_package_list,72
 - failed to open file
Comment 2 Richard Hughes 2008-03-31 07:27:48 EDT
What path should they be? /usr/libexec/?

What's the output:
pk-import-desktop --verbose
pk-import-specspo --verbose


Comment 3 Rahul Sundaram 2008-03-31 07:38:21 EDT
Created attachment 299711 [details]
pk-import verbose output
Comment 4 Rahul Sundaram 2008-03-31 07:42:01 EDT
Yes. Everything not meant to be directly invoked binaries must be moved to
libexec as per Fedora packaging guidelines. If you need help with packaging
changes, let me know.

Output of pk-import-specspo --verbose is large and attached above. 

#  pk-import-desktop --verbose

TI:17:12:37	TH:0x93e1f58	FI:pk-debug.c	FN:pk_debug_init,248
 - Verbose debugging 1 (on console 1)
TI:17:12:37	TH:0x93e1f58	FI:pk-extra.c	FN:pk_extra_set_database,434
 - trying to open database '/var/lib/PackageKit/extra-data.db'
TI:17:12:37	TH:0x93e1f58	FI:pk-extra.c	FN:pk_extra_set_database,437
 - Can't open database: unable to open database file

TI:17:12:37	TH:0x93e1f58	FI:pk-import-desktop.c	FN:main,266
 - could not open database (null)
Comment 5 Richard Hughes 2008-03-31 08:00:13 EDT
Ahh, the pk-import-* tools are meant to be run using sudo -- i've added message
to tell the user what's going on.
Comment 6 Richard Hughes 2008-03-31 08:20:57 EDT
I've added pk-import-* to libexec.
Comment 7 Richard Hughes 2008-03-31 08:53:39 EDT
I don't think the gui tools should be installed in libexec, and mclasen agrees
with me. The pk-import-* tools have been moved into libexec for the next release.

I've sent a mail to the mailing list about multiple gpk-update-icon instances.

Note You need to log in before you can comment on or make changes to this bug.